<?php
namespace Modules\Cadastros\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Teknisa\GER\Services\CryptService;

class Gql00500TipoOcorrenciaController 
{
    
    public function __construct($service, CryptService $cryptService)
    {
        $this->service      = $service;
        $this->cryptService = $cryptService;
    }
    
    public function deleteTipoOcorrencia(DTO\Request $request, DTO\Response $response)
    {
		try {
            $row = $request->getRow();
            
			$this->service->deleteTipoOcorrencia($row);
			
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
	
	public function insertTipoOcorrencia(DTO\Request $request, DTO\Response $response)
    {
		try {
            $row = $request->getRow();
            
			$this->service->insertTipoOcorrencia($row);
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
	
	public function updateTipoOcorrencia(DTO\Request $request, DTO\Response $response)
    {
		try {
            $row = $request->getRow();
            
			$this->service->updateTipoOcorrencia($row);
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
}