<?php
/**
 * Created by PhpStorm.
 * User: phillipesilva
 * Date: 27/11/2014
 * Time: 15:57
 */

namespace Folha\Logic\BancoHoras;


use Folha\Entities\PtoAltebancohoras;
use Geral\Util\NovoCodigo;
use Setforms2\Shared\Registry;

class AlteracaoBanco {
    public static function cadastraAlteracoesBanco($dados)
    {
        $entityManager = Registry::getEntityManager();
        $db = $entityManager->getConnection();
        $db->beginTransaction();

        try {
            foreach($dados['VINCULOS'] as $vinculo) {
                $progOcorr = new PtoAltebancohoras();
                $progOcorr->setNraltebancohoras(NovoCodigo::geraCodigo($dados['NRORG'], 'PTO_ALTEBANCOHORAS', 1));
                $progOcorr->setDtinicioaltebhoras($dados['DTINICIOALTEBHORAS']);
                $progOcorr->setNrbancohoras($dados['NRBANCOHORAS']);
                $progOcorr->setNrvinculom($vinculo['NRVINCULOM']);
                $progOcorr->setIdativo('S');
                $progOcorr->setNrorg($dados['NRORG']);
                $progOcorr->setNrorginclusao($dados['NRORG']);
                $progOcorr->setNrorgultatu($dados['NRORG']);
                $progOcorr->setCdoperinclusao($dados['CDOPERADOR']);
                $progOcorr->setCdoperultatu($dados['CDOPERADOR']);
                $progOcorr->setDtinclusao($dados['DATA_ATUAL']);
                $progOcorr->setDtultatu($dados['DATA_ATUAL']);

                if($dados['DTFIMALTEBHORAS'] != '') {
                    $progOcorr->setDtfimaltebhoras($dados['DTFIMALTEBHORAS']);
                }

                $progOcorr->persist();
            }

            $entityManager->flush();
            $db->commit();
        } catch (\Exception $e) {
            $db->rollback();
            throw $e;
        }
    }
} 